@media (width > 1000px) {
  .primary-menu {
    --top-level-link-border-radius: 0;
    --top-level-link-color: var(--theme-text-color-loud);
    --top-level-link-font-weight: bold;
    --top-level-link-background: transparent;
    --top-level-link-background-hover: transparent;
    --top-level-link-color-hover: var(--theme-text-color-accent);

    /* Dropdown. */
    --dropdown-background: var(--theme-surface);
    --dropdown-border-radius: 0px;
    --dropdown-border-width: 1px;
    --dropdown-border-color: var(--theme-border-color-soft);
    --dropdown-padding: 20px;
    --dropdown-drop-shadow: 2px 2px 6px var(--dropdown-border-color);

    /* Dropdown links. */
    --dropdown-link-color: var(--theme-text-color-loud);
    --dropdown-link-color-hover: var(--theme-text-color-accent);
    --dropdown-link-background-hover: var(--dropdown-link-color-hover);
    --dropdown-link-border-radius: 3px;
    --dropdown-link-padding: 4px 0;
    --dropdown-link-heading-font-size: 14px;
    --dropdown-link-font-size: 18px;
  }

  .primary-menu__list-item--level-1.primary-menu__list-item--has-children {
    &:hover {
      background-color: var(--top-level-link-background-hover);
      color: var(--top-level-link-color-hover);
    }
  }

  .primary-menu__link--level-1 {
    border-radius: var(--top-level-link-border-radius);
    background: var(--top-level-link-background);
    text-decoration: none;
    color: var(--top-level-link-color);
    font-weight: var(--top-level-link-font-weight);
  }

  .primary-menu__link--level-1[class] {
    border-radius: var(--top-level-link-border-radius);
    background: var(--top-level-link-background);
    text-decoration: none;
    color: var(--top-level-link-color);
    font-weight: var(--top-level-link-font-weight);
  }

  /* Dropdown <ul> element. */
  .primary-menu__list--level-2 {
    background: var(--dropdown-background);
    padding: var(--dropdown-padding);
    border-radius: var(--dropdown-border-radius);
    border: solid var(--dropdown-border-width) var(--dropdown-border-color);
    filter: drop-shadow(var(--dropdown-drop-shadow));
    font-family: var(--font-sans);
  }

  .primary-menu__link--level-2[class],
  .primary-menu__link--level-3[class] {
    position: relative; /* Anchor ::before */
    display: inline-block;
    margin-block: 4px;
    padding: var(--dropdown-link-padding);
    border-radius: var(--dropdown-link-border-radius);
    color: var(--theme-text-color-primary);

    &::before {
      position: absolute;
      bottom: 0;
      inset-inline-start: 0;
      content: "";
      width: 100%;
      height: 0;
      border-top: solid 2px var(--dropdown-link-background-hover);
      scale: 0 1;
      transform-origin: left;
      transition: scale 0.3s;

      &:dir(rtl) {
        transform-origin: right;
      }
    }

    &:hover {
      --link-text-cover-percent: 100%;

      &::before {
        scale: 1;
      }
    }
  }

  .primary-menu__link--level-2 {
    font-size: var(--dropdown-link-heading-font-size);
  }

  .primary-menu__link--level-2 {
    font-size: var(--dropdown-link-font-size);
  }
}
